# Downloads an invoice

<a id="flute-v1-get-pay-int-api-invoices-invoiceId-download-pdf"></a>
<span class="api-endpoint">GET {{<a href="#urlbases">baseURL</a>}}/pay-int-api/invoices/{{invoiceId}}/download-pdf</span>
This endpoint downloads the specified invoice as a PDF document.
Available only for published invoices.
<span class="api-seealso">See Also:</span><br>
To retrieve an invoice by ID, see <a href="/api-reference/invoices/flute-v1-get-pay-int-api-invoices-invoiceid" style="text-decoration: underline;">GET /pay-int-api/invoices/{invoiceId}</a>.<br>
To list invoices, see <a href="/api-reference/invoices/flute-v1-get-pay-int-api-invoices" style="text-decoration: underline;">GET /pay-int-api/invoices</a>.<br>
To send an invoice notification by email, see <a href="/api-reference/invoices/flute-v1-post-pay-int-api-invoices-invoiceid-send-email-notification" style="text-decoration: underline;">POST /pay-int-api/invoices/{invoiceId}/send-email-notification</a>.<br>

Endpoint: GET /pay-int-api/invoices/{invoiceId}/download-pdf
Version: V1
Security: Bearer

## Path parameters:

  - `invoiceId` (string, required)
    The identifier of the invoice.

## Header parameters:

  - `x-api-version` (string)
    Specifies the API version to use for the request.

Example: 1.0

## Response 404 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.
    Example: Entity with ID 'aa6cfcd0-0295-4a4c-b074-8c901f114fef' was not found.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.

Example: FluteOpsDeveloper.MSG322
    Example: FluteOpsDeveloper.MSG322

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Collections.Generic.KeyNotFoundException
    Example: System.Collections.Generic.KeyNotFoundException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 500 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: An unexpected error occurred while processing the request.
    Example: An unexpected error occurred while processing the request.

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: (Service)

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: System.Exception
    Example: System.Exception

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

